> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/issuing-card-api/business/webhook/cardholder-audit-status-notification.md).

# Cardholder Audit Status Notification

### **Webhook** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

REQUEST BODY SCHEMA: application/json required

### **Webhook Body(Notify)**

<table><thead><tr><th width="259">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>partner_id</td><td>string</td><td>Assigned by Pagsmile</td></tr><tr><td>timestamp<mark style="color:red;">*</mark></td><td>string</td><td>yyyy-MM-dd HH:mm:ss - Max. 19 chars -</td></tr><tr><td>version<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value 1.0</td></tr><tr><td>random_key</td><td>string</td><td>Reserved fields</td></tr><tr><td>sign_type</td><td>string</td><td><p>Reserved fields，</p><p>If the field is empty, no encryption is required</p></td></tr><tr><td>request_id<mark style="color:red;">*</mark></td><td>string</td><td>Request serial number, globally unique.</td></tr><tr><td>notify_type<mark style="color:red;">*</mark></td><td>integer</td><td>Refer to <a href="/pages/ystsrgyoK8oet6AAmFBV">webhookType</a></td></tr><tr><td>biz_data<mark style="color:red;">*</mark></td><td>obj</td><td>Business params</td></tr></tbody></table>

**biz\_data**

| Name                                          | Type          | Description                                                                                                      |
| --------------------------------------------- | ------------- | ---------------------------------------------------------------------------------------------------------------- |
| holder\_id<mark style="color:red;">\*</mark>  | long          | Holder Id                                                                                                        |
| pre\_status<mark style="color:red;">\*</mark> | integer       | <p>Status before operate</p><p>refer to:<a href="/pages/MyMQcuYS3vgkqMF3cYMx">CustomerAuditStatus</a></p>        |
| status<mark style="color:red;">\*</mark>      | integer       | <p>Cardolder status.</p><p>refer to:<a href="/pages/MyMQcuYS3vgkqMF3cYMx">CustomerAuditStatus</a></p>            |
| codes                                         | list\<string> | <p>if rejected, show detail reason,</p><p>refer to :<a href="/pages/bW7HdDYEYFy2TLMnBAXK">Customer Codes</a></p> |
| remark                                        | string(128)   | remark                                                                                                           |

### Response <a href="#example" id="example"></a>

http code :

{% tabs %}
{% tab title="200～299:success" %}

```json
{
    "biz_data": {
        "holder_id": 101224,
        "pre_status": 4,
        "status": 2,
        "codes": ["1"],
        "remark": "The picture of the ID document does not meet the requirements"
    },
    "notify_type": 3,
    "partner_id": "100180",
    "timestamp": "2024-12-09 22:06:57",
    "version": "1.0",
    "random_key": null,
    "request_id": "IC1866031747297865728",
    "sign_type": ""
}
```

{% endtab %}

{% tab title="other fail" %}

<pre><code><strong>Retry 7 times.
</strong>
Delay time：10s 1m 5m 30m 2h 6h 24h
</code></pre>

{% endtab %}
{% endtabs %}
